StudentDistribution Class Reference

Student t-distribution. More...

`#include <ql/math/distributions/studenttdistribution.hpp>`

Inherits unary_function< Real, Real >.

## Public Member Functions

| StudentDistribution (Integer n)
Real | operator() (Real x) const

## Detailed Description

Student t-distribution.

Probability density function for \( n \) degrees of freedom (see mathworld.wolfram.com or wikipedia.org):

\[ f(x) = \frac {\Gamma\left(\frac{n+1}{2}\right)} {\sqrt{n\pi} \, \Gamma\left(\frac{n}{2}\right)}\: \frac {1} {\left(1+\frac{x^2}{n}\right)^{(n+1)/2}} \]